using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XYY.Service.Standard.Finance.Charging.Base
{
    public class TransactionType
    {
        /// <summary>
        /// 消费
        /// </summary>
        public static readonly int Consume = 1;

        /// <summary>
        /// 付款
        /// </summary>
        public static readonly int Payment = 2;

        /// <summary>
        /// 授信
        /// </summary>
        public static readonly int Credit = 3;
         
        int type;
        static Dictionary<int, string> TransactionTypeString = new Dictionary<int, string>();
        static TransactionType()
        {
            TransactionTypeString.Add(1, "消费");
            TransactionTypeString.Add(2, "付款");
            TransactionTypeString.Add(3, "授信");
        }

        public TransactionType(int type)
        {
            this.type = type;
        }

        public override string ToString()
        {
            return TransactionTypeString[type];
        }
    }
}
